Altimax\Apidae\Core\Entity\SitraObjetLie:
  type: entity
  table: sitra_objet_lie
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    type:
      type: string
      nullable: true
      length: 45
      fixed: false
      comment: ''
    objetTouristiqueType:
      type: string
      nullable: true
      length: 45
      fixed: false
      comment: ''
      column: objet_touristique_type
  manyToOne:
    childObject:
      targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
      cascade: [ "persist", "remove" ]
      inversedBy: childObjects
      joinColumns:
        objet_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: true
    parentObject:
      targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
      cascade: [ "persist", "remove" ]
      inversedBy: parentObjects
      joinColumns:
        objet_lie_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: true
  lifecycleCallbacks: {  }